org.apache.hc.client5.http.async.methods

## Class AsyncRequestBuilder

- java.lang.Object
- - org.apache.hc.client5.http.async.methods.AsyncRequestBuilder

Deprecated.
Use `AsyncRequestBuilder`

    @Deprecated
    public class AsyncRequestBuilder
    extends Object

Builder for `AsyncRequestProducer` instances.

Please note that this class treats parameters differently depending on composition of the request: if the request has a content entity explicitly set with `setEntity(AsyncEntityProducer)` or it is not an entity enclosing method (such as POST or PUT), parameters will be added to the query component of the request URI. Otherwise, parameters will be added as a URL encoded entity.

Since:
  5.0

### Method Summary

Methods
`AsyncRequestBuilder` `addHeader(org.apache.hc.core5.http.Header header)` Deprecated.
`AsyncRequestBuilder` `addHeader(String name, String value)` Deprecated.
`AsyncRequestBuilder` `addParameter(org.apache.hc.core5.http.NameValuePair nvp)` Deprecated.
`AsyncRequestBuilder` `addParameter(String name, String value)` Deprecated.
`AsyncRequestBuilder` `addParameters(org.apache.hc.core5.http.NameValuePair... nvps)` Deprecated.
`org.apache.hc.core5.http.nio.AsyncRequestProducer` `build()` Deprecated.
`static AsyncRequestBuilder` `create(String method)` Deprecated.
`static AsyncRequestBuilder` `delete()` Deprecated.
`static AsyncRequestBuilder` `delete(org.apache.hc.core5.http.HttpHost host, String path)` Deprecated.
`static AsyncRequestBuilder` `delete(String uri)` Deprecated.
`static AsyncRequestBuilder` `delete(URI uri)` Deprecated.
`static AsyncRequestBuilder` `get()` Deprecated.
`static AsyncRequestBuilder` `get(org.apache.hc.core5.http.HttpHost host, String path)` Deprecated.
`static AsyncRequestBuilder` `get(String uri)` Deprecated.
`static AsyncRequestBuilder` `get(URI uri)` Deprecated.
`Charset` `getCharset()` Deprecated.
`RequestConfig` `getConfig()` Deprecated.
`org.apache.hc.core5.http.nio.AsyncEntityProducer` `getEntity()` Deprecated.
`org.apache.hc.core5.http.Header` `getFirstHeader(String name)` Deprecated.
`org.apache.hc.core5.http.Header[]` `getHeaders(String name)` Deprecated.
`org.apache.hc.core5.http.Header` `getLastHeader(String name)` Deprecated.
`String` `getMethod()` Deprecated.
`List<org.apache.hc.core5.http.NameValuePair>` `getParameters()` Deprecated.
`URI` `getUri()` Deprecated.
`org.apache.hc.core5.http.ProtocolVersion` `getVersion()` Deprecated.
`static AsyncRequestBuilder` `head()` Deprecated.
`static AsyncRequestBuilder` `head(org.apache.hc.core5.http.HttpHost host, String path)` Deprecated.
`static AsyncRequestBuilder` `head(String uri)` Deprecated.
`static AsyncRequestBuilder` `head(URI uri)` Deprecated.
`static AsyncRequestBuilder` `options()` Deprecated.
`static AsyncRequestBuilder` `options(org.apache.hc.core5.http.HttpHost host, String path)` Deprecated.
`static AsyncRequestBuilder` `options(String uri)` Deprecated.
`static AsyncRequestBuilder` `options(URI uri)` Deprecated.
`static AsyncRequestBuilder` `patch()` Deprecated.
`static AsyncRequestBuilder` `patch(org.apache.hc.core5.http.HttpHost host, String path)` Deprecated.
`static AsyncRequestBuilder` `patch(String uri)` Deprecated.
`static AsyncRequestBuilder` `patch(URI uri)` Deprecated.
`static AsyncRequestBuilder` `post()` Deprecated.
`static AsyncRequestBuilder` `post(org.apache.hc.core5.http.HttpHost host, String path)` Deprecated.
`static AsyncRequestBuilder` `post(String uri)` Deprecated.
`static AsyncRequestBuilder` `post(URI uri)` Deprecated.
`static AsyncRequestBuilder` `put()` Deprecated.
`static AsyncRequestBuilder` `put(org.apache.hc.core5.http.HttpHost host, String path)` Deprecated.
`static AsyncRequestBuilder` `put(String uri)` Deprecated.
`static AsyncRequestBuilder` `put(URI uri)` Deprecated.
`AsyncRequestBuilder` `removeHeader(org.apache.hc.core5.http.Header header)` Deprecated.
`AsyncRequestBuilder` `removeHeaders(String name)` Deprecated.
`AsyncRequestBuilder` `setCharset(Charset charset)` Deprecated.
`AsyncRequestBuilder` `setConfig(RequestConfig config)` Deprecated.
`AsyncRequestBuilder` `setEntity(org.apache.hc.core5.http.nio.AsyncEntityProducer entityProducer)` Deprecated.
`AsyncRequestBuilder` `setEntity(byte[] content, org.apache.hc.core5.http.ContentType contentType)` Deprecated.
`AsyncRequestBuilder` `setEntity(String content, org.apache.hc.core5.http.ContentType contentType)` Deprecated.
`AsyncRequestBuilder` `setHeader(org.apache.hc.core5.http.Header header)` Deprecated.
`AsyncRequestBuilder` `setHeader(String name, String value)` Deprecated.
`AsyncRequestBuilder` `setUri(String uri)` Deprecated.
`AsyncRequestBuilder` `setUri(URI uri)` Deprecated.
`AsyncRequestBuilder` `setVersion(org.apache.hc.core5.http.ProtocolVersion version)` Deprecated.
`static AsyncRequestBuilder` `trace()` Deprecated.
`static AsyncRequestBuilder` `trace(org.apache.hc.core5.http.HttpHost host, String path)` Deprecated.
`static AsyncRequestBuilder` `trace(String uri)` Deprecated.
`static AsyncRequestBuilder` `trace(URI uri)` Deprecated.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### create

    public static AsyncRequestBuilder create(String method)

Deprecated.

#### get

    public static AsyncRequestBuilder get()

Deprecated.

#### get

    public static AsyncRequestBuilder get(URI uri)

Deprecated.

#### get

    public static AsyncRequestBuilder get(String uri)

Deprecated.

#### get

    public static AsyncRequestBuilder get(org.apache.hc.core5.http.HttpHost host,
                          String path)

Deprecated.

#### head

    public static AsyncRequestBuilder head()

Deprecated.

#### head

    public static AsyncRequestBuilder head(URI uri)

Deprecated.

#### head

    public static AsyncRequestBuilder head(String uri)

Deprecated.

#### head

    public static AsyncRequestBuilder head(org.apache.hc.core5.http.HttpHost host,
                           String path)

Deprecated.

#### patch

    public static AsyncRequestBuilder patch()

Deprecated.

#### patch

    public static AsyncRequestBuilder patch(URI uri)

Deprecated.

#### patch

    public static AsyncRequestBuilder patch(String uri)

Deprecated.

#### patch

    public static AsyncRequestBuilder patch(org.apache.hc.core5.http.HttpHost host,
                            String path)

Deprecated.

#### post

    public static AsyncRequestBuilder post()

Deprecated.

#### post

    public static AsyncRequestBuilder post(URI uri)

Deprecated.

#### post

    public static AsyncRequestBuilder post(String uri)

Deprecated.

#### post

    public static AsyncRequestBuilder post(org.apache.hc.core5.http.HttpHost host,
                           String path)

Deprecated.

#### put

    public static AsyncRequestBuilder put()

Deprecated.

#### put

    public static AsyncRequestBuilder put(URI uri)

Deprecated.

#### put

    public static AsyncRequestBuilder put(String uri)

Deprecated.

#### put

    public static AsyncRequestBuilder put(org.apache.hc.core5.http.HttpHost host,
                          String path)

Deprecated.

#### delete

    public static AsyncRequestBuilder delete()

Deprecated.

#### delete

    public static AsyncRequestBuilder delete(URI uri)

Deprecated.

#### delete

    public static AsyncRequestBuilder delete(String uri)

Deprecated.

#### delete

    public static AsyncRequestBuilder delete(org.apache.hc.core5.http.HttpHost host,
                             String path)

Deprecated.

#### trace

    public static AsyncRequestBuilder trace()

Deprecated.

#### trace

    public static AsyncRequestBuilder trace(URI uri)

Deprecated.

#### trace

    public static AsyncRequestBuilder trace(String uri)

Deprecated.

#### trace

    public static AsyncRequestBuilder trace(org.apache.hc.core5.http.HttpHost host,
                            String path)

Deprecated.

#### options

    public static AsyncRequestBuilder options()

Deprecated.

#### options

    public static AsyncRequestBuilder options(URI uri)

Deprecated.

#### options

    public static AsyncRequestBuilder options(String uri)

Deprecated.

#### options

    public static AsyncRequestBuilder options(org.apache.hc.core5.http.HttpHost host,
                              String path)

Deprecated.

#### setCharset

    public AsyncRequestBuilder setCharset(Charset charset)

Deprecated.

#### getCharset

    public Charset getCharset()

Deprecated.

#### getMethod

    public String getMethod()

Deprecated.

#### getUri

    public URI getUri()

Deprecated.

#### setUri

    public AsyncRequestBuilder setUri(URI uri)

Deprecated.

#### setUri

    public AsyncRequestBuilder setUri(String uri)

Deprecated.

#### getVersion

    public org.apache.hc.core5.http.ProtocolVersion getVersion()

Deprecated.

#### setVersion

    public AsyncRequestBuilder setVersion(org.apache.hc.core5.http.ProtocolVersion version)

Deprecated.

#### getFirstHeader

    public org.apache.hc.core5.http.Header getFirstHeader(String name)

Deprecated.

#### getLastHeader

    public org.apache.hc.core5.http.Header getLastHeader(String name)

Deprecated.

#### getHeaders

    public org.apache.hc.core5.http.Header[] getHeaders(String name)

Deprecated.

#### addHeader

    public AsyncRequestBuilder addHeader(org.apache.hc.core5.http.Header header)

Deprecated.

#### addHeader

    public AsyncRequestBuilder addHeader(String name,
                                String value)

Deprecated.

#### removeHeader

    public AsyncRequestBuilder removeHeader(org.apache.hc.core5.http.Header header)

Deprecated.

#### removeHeaders

    public AsyncRequestBuilder removeHeaders(String name)

Deprecated.

#### setHeader

    public AsyncRequestBuilder setHeader(org.apache.hc.core5.http.Header header)

Deprecated.

#### setHeader

    public AsyncRequestBuilder setHeader(String name,
                                String value)

Deprecated.

#### getParameters

    public List<org.apache.hc.core5.http.NameValuePair> getParameters()

Deprecated.

#### addParameter

    public AsyncRequestBuilder addParameter(org.apache.hc.core5.http.NameValuePair nvp)

Deprecated.

#### addParameter

    public AsyncRequestBuilder addParameter(String name,
                                   String value)

Deprecated.

#### addParameters

    public AsyncRequestBuilder addParameters(org.apache.hc.core5.http.NameValuePair... nvps)

Deprecated.

#### getConfig

    public RequestConfig getConfig()

Deprecated.

#### setConfig

    public AsyncRequestBuilder setConfig(RequestConfig config)

Deprecated.

#### getEntity

    public org.apache.hc.core5.http.nio.AsyncEntityProducer getEntity()

Deprecated.

#### setEntity

    public AsyncRequestBuilder setEntity(org.apache.hc.core5.http.nio.AsyncEntityProducer entityProducer)

Deprecated.

#### setEntity

    public AsyncRequestBuilder setEntity(String content,
                                org.apache.hc.core5.http.ContentType contentType)

Deprecated.

#### setEntity

    public AsyncRequestBuilder setEntity(byte[] content,
                                org.apache.hc.core5.http.ContentType contentType)

Deprecated.

#### build

    public org.apache.hc.core5.http.nio.AsyncRequestProducer build()

Deprecated.